> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.runtype.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runtype.com/_mcp/server.

# Update conversation

PUT https://api.runtype.com/v1/messaging/conversations/{id}
Content-Type: application/json

Update a messaging conversation by ID.

Reference: https://docs.runtype.com/api-reference/runtype-api/messaging-conversations/update-conversation

## Authentication

- `Authorization` header (bearer token, required) — API key or Clerk session token

## Servers

- `https://api.runtype.com` (Production, default)
- `https://api.runtype-staging.com` (Staging)

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects an object.

- `context` (V1MessagingConversationsIdPutRequestBodyContentApplicationJsonSchemaContext, optional)
- `participantEmail` (string, optional)
- `participantMetadata` (map from string to any, optional)
- `participantName` (string, optional)
- `status` (enum, optional)
  - Allowed values: `open`, `closed`, `archived`
- `subject` (string, optional)
- `timezone` (string, optional, nullable)

## Response

### 200

Updated conversation

- `agentMode` (string, required)
- `createdAt` (string, required)
- `externalParticipantId` (string, required, nullable)
- `externalThreadId` (string, required, nullable)
- `id` (string, required)
- `lastMessageAt` (string, required, nullable)
- `messageCount` (double, required)
- `participantEmail` (string, required, nullable)
- `participantName` (string, required, nullable)
- `status` (string, required)
- `subject` (string, required, nullable)
- `surfaceId` (string, required)
- `takeoverActorId` (string, required, nullable)
- `takeoverActorType` (string, required, nullable)
- `takeoverAt` (string, required, nullable)
- `takeoverReason` (string, required, nullable)
- `timezone` (string, required, nullable)
- `updatedAt` (string, required)
- `context` (map from string to any, optional)
- `participantMetadata` (map from string to any, optional)
- `surface` (V1MessagingConversationsIdPutResponsesContentApplicationJsonSchemaSurface, optional)

## Errors

### 400 Bad Request Error

Invalid conversation ID format

- `error` (string, required)
- `code` (string, optional) — Stable error code. `insufficient_scope` marks an API key that lacks a scope this request needs.
- `details` (list of ErrorDetailsItems, optional)
- `requiredScopes` (list of string, optional) — On `insufficient_scope`: every API key scope this request needs.

### 401 Unauthorized Error

Unauthorized

- `error` (string, required)
- `code` (string, optional) — Stable error code. `insufficient_scope` marks an API key that lacks a scope this request needs.
- `details` (list of ErrorDetailsItems, optional)
- `requiredScopes` (list of string, optional) — On `insufficient_scope`: every API key scope this request needs.

### 403 Forbidden Error

Insufficient permissions

- `error` (string, required)
- `code` (string, optional) — Stable error code. `insufficient_scope` marks an API key that lacks a scope this request needs.
- `details` (list of ErrorDetailsItems, optional)
- `requiredScopes` (list of string, optional) — On `insufficient_scope`: every API key scope this request needs.

### 404 Not Found Error

Conversation not found

- `error` (string, required)
- `code` (string, optional) — Stable error code. `insufficient_scope` marks an API key that lacks a scope this request needs.
- `details` (list of ErrorDetailsItems, optional)
- `requiredScopes` (list of string, optional) — On `insufficient_scope`: every API key scope this request needs.

### 500 Internal Server Error

Internal server error

- `error` (string, required)
- `code` (string, optional) — Stable error code. `insufficient_scope` marks an API key that lacks a scope this request needs.
- `details` (list of ErrorDetailsItems, optional)
- `requiredScopes` (list of string, optional) — On `insufficient_scope`: every API key scope this request needs.

## Types

### V1MessagingConversationsIdPutRequestBodyContentApplicationJsonSchemaContext

- `recordId` (string, optional)
- `sessionId` (string, optional)
- `variables` (map from string to any, optional)

### V1MessagingConversationsIdPutResponsesContentApplicationJsonSchemaSurface

- `id` (string, required)
- `name` (string, required, nullable)
- `type` (string, required, nullable)

### ErrorDetailsItems

- `message` (string, required)
- `code` (string, optional) — Stable Runtype validation code (e.g. MISSING_REQUIRED_FIELD, INVALID_ENUM).
- `path` (string, optional) — Dotted JSON path to the offending field.
- `suggestion` (string, optional) — Actionable hint (allowed values, accepted range, …).

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "agentMode": "string",
  "createdAt": "string",
  "externalParticipantId": "string",
  "externalThreadId": "string",
  "id": "string",
  "lastMessageAt": "string",
  "messageCount": 1.1,
  "participantEmail": "string",
  "participantName": "string",
  "status": "string",
  "subject": "string",
  "surfaceId": "string",
  "takeoverActorId": "string",
  "takeoverActorType": "string",
  "takeoverAt": "string",
  "takeoverReason": "string",
  "timezone": "string",
  "updatedAt": "string",
  "context": {},
  "participantMetadata": {},
  "surface": {
    "id": "string",
    "name": "string",
    "type": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.runtype.com/v1/messaging/conversations/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.runtype.com/v1/messaging/conversations/id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.runtype.com/v1/messaging/conversations/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.runtype.com/v1/messaging/conversations/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.runtype.com/v1/messaging/conversations/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.runtype.com/v1/messaging/conversations/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.runtype.com/v1/messaging/conversations/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.runtype.com/v1/messaging/conversations/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```